from netforce.model import Model, fields, get_model


class MatchingPaymentLine(Model):
    _name="clinic.matching.payment.line"
    _transient=True

    _fields={
        'match_id': fields.Many2One("clinic.matching.payment","Match",required=True,on_delete="cascade"),
        'expense_id': fields.Many2One("clinic.hd.case.expense","Expense"),
        "date": fields.Date("Date"),
        "hn": fields.Char("HN"),
        'pid': fields.Char("PID"),
        "name": fields.Char("Name"),
        'epo': fields.Float("EPO"),
        'service': fields.Float("Service"),
        "fee": fields.Float("Fee"),
        'state': fields.Selection([['match','Match'],['not_math','Not Match']],'State'),
    }
    

MatchingPaymentLine.register()
